Callback File Reference
`#include <osg/Object>`
`#include <osg/UserDataContainer>`

Go to the source code of this file.

## Classes

class | osg::Callback
class | osg::CallbackObject
class | osg::NodeCallback
class | osg::StateAttributeCallback
class | osg::UniformCallback
class | osg::DrawableUpdateCallback
class | osg::DrawableEventCallback
class | osg::DrawableCullCallback

## Namespaces

namespace | osgGA
namespace | osg

## Macros

#define | OSG_CALLBACK 1

## Typedefs

typedef std::vector< osg::ref_ptr< osg::Object > > | osg::Parameters

## Functions

CallbackObject * | osg::getCallbackObject (osg::Object *object, const std::string &name)
const CallbackObject * | osg::getCallbackObject (const osg::Object *object, const std::string &name)
bool | osg::runNamedCallbackObjects (osg::Object *object, const std::string &name, osg::Parameters &inputParameters, osg::Parameters &outputParameters)

## Macro Definition Documentation

## OSG_CALLBACK

#define OSG_CALLBACK 1